<?php
require_once ('../controllers/Cargainicial.php');
$modelCreaFac = new CargaIniController();
if(isset($_GET['funcion'])){
    $funcion = $_GET['funcion'];

    if($funcion == 'traeprovee'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $search='';
        $num_oc='';
        $estatusoc='';
        
        if(isset($_POST['search'])){
            $search=$_POST['search'];
        }

        if(isset($_POST['num_oc'])){
            $num_oc=$_POST['num_oc'];
        } 

        if(isset($_POST['estatusoc'])){
            $estatusoc=$_POST['estatusoc'];
        } 

        $modelCreaFac->$funcion($idusuario,$userrol,$search,$num_oc,$estatusoc); 
    }

    if($funcion == 'nuevopro'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $tipo_accio='1';
        $tipo_user='';

        if(isset( $_GET['tipo_accio'])){
            $tipo_accio=$_GET['tipo_accio'];
        }

        if(isset( $_GET['tipo_user'])){
            $tipo_user=$_GET['tipo_user'];
        }
        
              
        $modelCreaFac->$funcion($idusuario,$userrol,$tipo_accio,$tipo_user); 
    }

    if($funcion == 'nuevaordc'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];

        $search='';
        $num_oc='';
        $estatusoc='';
        
        if(isset($_POST['search'])){
            $search=$_POST['search'];
        }

        if(isset($_POST['num_oc'])){
            $num_oc=$_POST['num_oc'];
        } 
              
        $modelCreaFac->$funcion($idusuario,$userrol,$search,$num_oc,$estatusoc); 
    }

    if($funcion == 'list'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $estatussoli='';
        $user_atiende='';
        $fechaini=''; 
        $fechafin='';        

        if(isset($_POST['estatussoli'])){
            $estatussoli=$_POST['estatussoli'];
        }
        

        if(isset($_POST['user_atiende'])){
            $user_atiende=$_POST['user_atiende'];
        }

        if(isset($_POST['fechaini'])){
            $fechaini=$_POST['fechaini'];
        }

        if(isset($_POST['fechafin'])){
            $fechafin=$_POST['fechafin'];
        }
        
        

        $modelCreaFac->$funcion($idusuario,$userrol,$estatussoli,$user_atiende,$fechaini,$fechafin); 
    }

    if($funcion == 'cargadocumentos'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $tipodoc='';
        $oc='';
        $rfc='';
        $fobra ='';    
        $id ='';   
        $cadena =''; 
        $montooc ='';      

        if(isset($_GET['tipodoc'])){
            $tipodoc=$_GET['tipodoc'];
        }
        

        if(isset($_GET['oc'])){
            $oc=$_GET['oc'];
        }

        if(isset($_GET['rfc'])){
            $rfc=$_GET['rfc'];
        }

        if(isset($_GET['fobra'])){
            $fobra=$_GET['fobra'];
        }

        if(isset($_GET['id'])){
            $id=$_GET['id'];
        }
        
        if(isset($_GET['cadena'])){
            $cadena=$_GET['cadena'];
        }

        if(isset($_GET['importeoc'])){
            $montooc=$_GET['importeoc'];
        }

        $modelCreaFac->$funcion($idusuario,$userrol,$tipodoc,$oc,$rfc,$fobra,$id,$cadena,$montooc); 
    }


    if($funcion == 'nuevouser'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $tipo_accio='1';
        $tipo_user='';

        if(isset( $_GET['tipo_accio'])){
            $tipo_accio=$_GET['tipo_accio'];
        }

        if(isset( $_GET['tipo_user'])){
            $tipo_user=$_GET['tipo_user'];
        }
        
              
        $modelCreaFac->$funcion($idusuario,$userrol,$tipo_accio,$tipo_user); 
    }


    if($funcion == 'crearcr'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
              
        $modelCreaFac->$funcion($idusuario,$userrol); 
    }

    if($funcion == 'traefacturas'){
        $id_pro= $_GET['id_pro'];
        
              
        $modelCreaFac->$funcion($id_pro); 
    }


    if($funcion == 'crearpago'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
              
        $modelCreaFac->$funcion($idusuario,$userrol); 
    }


    if($funcion == 'crearcomppago'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
              
        $modelCreaFac->$funcion($idusuario,$userrol); 
    }


    if($funcion == 'traecontra'){
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $fcontra= $_GET['fcontra'];
        //$rfc_user= $_GET['rfc_user'];
              
        $modelCreaFac->$funcion($idusuario,$userrol,$fcontra); 
    }

    if($funcion == 'traefacturas_xml'){
        $id_cr= $_GET['id_cr'];
        
              
        $modelCreaFac->$funcion($id_cr); 
    }

    if($funcion == 'traepagos_xml'){
        $id_pago= $_GET['id_pago'];
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
              
        $modelCreaFac->$funcion($id_pago,$idusuario,$userrol); 
    }

    if($funcion == 'enviarseguimiento'){
        $idoc= $_GET['idoc'];
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $estatus= $_GET['estatus'];
        
        $modelCreaFac->$funcion($idoc,$idusuario,$userrol,$estatus); 
    }

    if($funcion == 'mandarcorreovendedor'){
        $id_prov= $_GET['id_prov'];
        $idusuario= $_GET['idusuario'];
        $userrol= $_GET['userrol'];
        $motivocorreo= $_GET['motivocorreo'];
        $vista= $_GET['vista'];
        
        $modelCreaFac->$funcion($id_prov,$idusuario,$userrol,$motivocorreo,$vista); 
    }


    
    

}else{
 $listFac = $modelCreaFac->listfact(); 
}
 
?>